List workflow variables
GET
/v1/workflows/{workflowId}/variables
Path Parameters
workflowId
string
required
path
Workflow ID
Responses
200
OK
application/jsonitems
object[]
Array of:
def
object
default
unknown
description
string
lifetime
string
Enum:
persist, resetname
string
type
string
Enum:
number, text, boolean, list, objecthasValue
boolean
lastRunId
string
updatedAt
string
value
unknown
version
integer
curl -X GET 'https://api.example.com/v1/workflows/string/variables' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/workflows/string/variables', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/workflows/string/variables', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/workflows/string/variables", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "items": [ { "def": { "default": "<unknown>", "description": "<string>", "lifetime": "persist", "name": "<string>", "type": "number" }, "hasValue": true, "lastRunId": "<string>", "updatedAt": "<string>", "value": "<unknown>", "version": 123 } ]}
API Playground
Try this endpoint
GET
/v1/workflows/{workflowId}/variables
